Bug 53354 - libssl.so.2 & libcrypto.so.2 missing in openssl-0.9.6-9
libssl.so.2 & libcrypto.so.2 missing in openssl-0.9.6-9
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-07 04:50 EDT by Ola P. O.
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-10 23:50:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola P. O. 2001-09-07 04:50:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
libssl.so.2 & libcrypto.so.2 missing in openssl-0.9.6-9
Makes it hard to install Kde 2.2 for example, I have seen problems reported
on other topics aswell. 
Related:
http://bugs.kde.org/db/31/31196.html
http://listmanager.unipi.it/pipermail/ntop/2001-June/000132.html


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update to openssl-0.9.6-9
2. Try to install Kde2.2
3.
	

Actual Results:  I can no longer install Kde2.2

Expected Results:  That I should be able to install Kde2.2

Additional info:

        libcrypto.so.2   is needed by kdebase-2.2-3
        libssl.so.2   is needed by kdebase-2.2-3
        libcrypto.so.2   is needed by koffice-1.1-2
        libssl.so.2   is needed by koffice-1.1-2
        libcrypto.so.2   is needed by m2crypto-0.05_snap4-1
        libcrypto.so.2   is needed by python2-2.1.1-2
        libssl.so.2   is needed by python2-2.1.1-2

My system is up2date :) that will say openssl-0.9.6-9 is installed.
Comment 1 Nalin Dahyabhai 2003-02-10 23:50:13 EST
Versions 2 of the shared libraries are only provided by openssl 0.9.6b packages
(the 'b' here is significant).  The original 0.9.6 release only included
versions 1 of the shared libraries.  You may wish to upgrade to the versions of
the openssl and openssl096 packages designated for RHL 7.2/7.3, as they would
fulfill these dependencies.

Note You need to log in before you can comment on or make changes to this bug.